/********************************************************************************************************/
// HyperAddin: a tool for allowing hyperlinks in your source code comments for Visual Studio.
// Author: Vance Morrison Date: 5/3/2007
// 
// See the file:help.htm for user documentation. A good place to start is file:HyperAddin.cs#Overview
// 
// Overview of project files:
// 
//     * app.config - HyperAddin has persistant data associated with it in a HyperAddin.dll.config file. This
//         is the template for this file
//     * AssemblyInfo.cs - Boilerplate code form VS.
//     * CodeBrowser.cs - Interface to VS's Symbol lookup
//     * Command.cs - A utility for running external processes 
//     * Help.htm - Help for addin. This gets embeded into the dll as a resource and can be brought up in VS
//     * HyperAddin.AddIn - VS looks for files with this suffix in its 'Addin' directory to find addins. This
//         XML file describes the Addin to VS.
//     * HyperAddin.cs - The main entry point for the addin.
//     * HyperAddin.csproj.* - project build rules and debugger settings.
//     * HyperAddin.sln - Describes the overall solution
//     * HyperAddin.XmlSerializers.cs - This code reads in HyperAddin.dll.config and createa a
//         HyperAddinSettings. This was generated by the sgen.exe facility
//     * HyperAddinSettings.cs - A class that represents all persistant state associated with the addin.
//     * HyperLink.cs - Interface to VS's hyperlinking capabilities.
//     * install.bat - Called during built to place addin in the 'addins' direcotry where VS can find it.
//     * VSInterface.cs - A simplfied interface for VS Addins.
//     * VSServices.cs - Infrastructure used by HyperLink.cs and CodeBrowser.cs
//
/********************************************************************************************************/

#region TODO LIST
// #TODO 
// TODO *** Symbol lookup does not work for VB projects
// TODO We want this to be robust in VS under all conditions (like old versions
// TODO A real uninstall.  
// TODO allow comment formating on the whole file.
// TODO Spell check for comments. 
// TODO normalization issue with C++ (Using :: to refer to C# methods).
// TODO Current we do not pay attention to 'using' clauses for C++ (VB?). 
// TODO Worry about corner cases in formatting of comments. 
#endregion 
